
Foreman - Feature #8011

When displaying Reports for a host there should be a one-click way to show only eventful reports.

10/21/2014 11:22 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1154407 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1895

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1154407

Description of problem:

When accessing a hosts report (via Dashboard-> Select hostname), the user is presented with a great deal of reports, many of which

have no eventful information. This RFE requests setting 'eventful=true' so that the end user doesn't have to wade through a large

number of reports to get to the information they desire.

Version-Release number of selected component (if applicable):

foreman-1.6.0.46-1.el6sat.noarch

How reproducible:

100%

History

#1 - 10/21/2014 11:23 AM - Dominic Cleal

- Category set to Web Interface

#2 - 10/21/2014 11:25 AM - Dominic Cleal

Bit of a matter of opinion really, given there's a filter already there.  I think when I'm using it, I'm perfectly happy to see non-eventful reports.  Maybe a

one-click way to add/remove eventful = true to the search would be very useful.

#3 - 11/01/2014 05:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1895 added

- Pull request deleted ()

#4 - 11/04/2014 07:08 AM - Daniel Lobato Garcia

- Subject changed from When displaying Reports for a host, eventful=true should be the default to When displaying Reports for a host there should be

a one-click way to show only eventful reports.

I agree, defaulting to not showing the event-less reports seems like a wrong idea in my opinion. I changed the title of the issue to make it match more

closely what you meant.

#5 - 04/05/2016 09:57 AM - Tomer Brisker

- Status changed from Ready For Testing to New
